using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities
{
    public partial class FmsWorkCodeType
    {
        public FmsWorkCodeType()
        {
            FmsFacilityCheckItem = new HashSet<FmsFacilityCheckItem>();
            FmsWorkRequest = new HashSet<FmsWorkRequest>();
            FmsWorkSchedule = new HashSet<FmsWorkSchedule>();
        }

        [Key]
        public int WorkTypeId { get; set; }
        [Required]
        [StringLength(50)]
        public string Name { get; set; }
        [StringLength(512)]
        public string Description { get; set; }

        [InverseProperty("WorkType")]
        public virtual ICollection<FmsFacilityCheckItem> FmsFacilityCheckItem { get; set; }
        [InverseProperty("WorkType")]
        public virtual ICollection<FmsWorkRequest> FmsWorkRequest { get; set; }
        [InverseProperty("WorkType")]
        public virtual ICollection<FmsWorkSchedule> FmsWorkSchedule { get; set; }
    }
}
